---
- name: Ensure the the moodle data backend is mounted
  ansible.posix.mount:
    src: "{{ moodle_backend.nfs_host }}:/data"
    path: "{{ moodle_data_root }}"
    opts: rw,sync,hard
    state: mounted
    fstype: nfs4
  # notify: Server restart

- name: Ensure the the moodle coursebackup backend is mounted
  ansible.posix.mount:
    src: "{{ moodle_backend.nfs_host }}:/coursebackups"
    path: /data_1/coursebackups
    opts: rw,sync,hard
    state: mounted
    fstype: nfs4
  # notify: Server restart

- name: Ensure user agreement is mounted
  ansible.posix.mount:
    src: "{{ moodle_backend.nfs_host }}:/user_agreement"
    path: /data_1/www/html/user_agreement
    opts: rw,sync,hard
    state: mounted
    fstype: nfs4
